import * as Echarts from 'echarts';
import type { WechartsProps, WechartsInstance, ChartEventArg } from './types';
export type Opts = null | Echarts.EChartOption;
export type GraphTypes = null | Echarts.EChartsSeriesType;
export type { WechartsProps, WechartsInstance };
declare class Wecharts extends HTMLElement {
    private chartInstance;
    private loadingNode;
    private cacheOptions;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    clear(): void;
    static get observedAttributes(): string[];
    attributeChangedCallback(name: string, oldValue: any, newValue: any): void;
    getProps(key: keyof WechartsProps): string | null;
    setLoading(loading: string | null): void;
    onResize(): void;
    chartInit(): void;
    setChartEvents(arg: ChartEventArg): void;
    getChartConfig(graphType: string): any;
    getColor(): string[] | undefined;
    getDimensionsData(dimension: string, data: any): {
        dimensions: string[];
        data: any;
    };
    getRadius(graphType: string): string | string[];
    getLegend(graphType: string): any;
    getToolbox(graphType: string): any;
    getTooltip(graphType: string): any;
    getGrid(graphType: string, { legend, dataZoom }: any): any;
    getxAxis(graphType: string): any;
    getyAxis(graphType: string): any;
    getSeriesConfig(graphType: string): {
        label: {
            show: string | boolean;
            position: string | string[];
        };
        radius: string | string[];
        labelLine: {
            show: string | boolean;
        };
    };
    getSeries(graphType: string, data: any, dataLength: number): any;
    setGraphData(data: any): void;
    setOptions(options: Opts): void;
    setNoDataGraph(): void;
    renderDom(): void;
}
export declare const defineWecharts: () => void;
export default Wecharts;
